export class TtHuesped {
    hfolio: number = 0;
    propiedad: string = '';
    ncte: number = 0;
    hapellido: string = '';
    hnombre: string = '';
    titulo: string = '';
    hdireccion1: string = '';
    hdireccion2: string = '';
    hciudad: string = '';
    estado: string = '';
    hcp: string = '';
    htelefono: string = '';
    rfc: string = '';
    Empresa: string = '';
    hemail: string = '';
    VIP: string = '';
    hidioma: string = '';
    Agencia: string = '';
    hallot: string = '';
    hagencia: string = '';
    grupo: string = '';
    hngrupo: number = 0;
    hhora: string = '';
    hhsal: string = '';
    hforma: string = '';
    hfp: string = '';
    hdfp: string = '';
    hlimite: number = 0;
    treser: string = '';
    segmento: string = '';
    vendedor: string = '';
    estad1: string = '';
    estad2: string = '';
    estad3: string = '';
    estad4: string = '';
    estad5: string = '';
    estad6: string = '';
    origen: string = '';
    hconfirmacion: string = '';
    hfecconf: Date = null;
    heactual: string = 'CI';
    htfola: number = 0;
    htfolb: number = 0;
    htfolc: number = 0;
    htfold: number = 0;
    htfole: number = 0;
    htfolf: number = 0;
    tcuarto: string = '';
    hfent: Date = null;
    hfsal: Date = null;
    hadultos: number = 1;
    hjunior: number = 0;
    hmenores: number = 0;
    hmenpag: number = 0;
    tarifa: string = '';
    htipo: string = '';
    hmon: string = '';
    proc: string = '';
    hcaract: string = '';
    cuarto: string = '';
    htmov: string = '';
    oldfactura1: boolean = false;
    oldfactura2: boolean = false;
    oldfactura3: boolean = false;
    lCuenta1: boolean = false;
    lCuenta2: boolean = false;
    lCuenta3: boolean = false;
    lCuenta4: boolean = false;
    lCuenta5: boolean = false;
    lCuenta6: boolean = false;
    hfecreg: null;
    hcombina: boolean = false;
    htcr: string = '';
    numce: number = 0;
    ce1: string = '';
    ce2: string = '';
    ce3: string = '';
    ce4: string = '';
    ce5: string = '';
    ce6: string = '';
    ce7: string = '';
    ce8: string = '';
    ce9: string = '';
    ce10: string = '';
    ce11: string = '';
    ce12: string = '';
    ce13: string = '';
    ce14: string = '';
    ce15: string = '';
    ce16: string = '';
    ce17: string = '';
    ce18: string = '';
    ce19: string = '';
    ce20: string = '';
    ce21: string = '';
    ce22: string = '';
    ce23: string = '';
    ce24: string = '';
    ce25: string = '';
    ce26: string = '';
    ce27: string = '';
    ce28: string = '';
    ce29: string = '';
    ce30: string = '';
    ce31: string = '';
    ce32: string = '';
    ce33: string = '';
    ce34: string = '';
    ce35: string = '';
    ce36: string = '';
    ce37: string = '';
    ce38: string = '';
    ce39: string = '';
    ce40: string = '';
    ce41: string = '';
    ce42: string = '';
    ce43: string = '';
    ce44: string = '';
    ce45: string = '';
    ce46: string = '';
    ce47: string = '';
    ce48: string = '';
    ce49: string = '';
    ce50: string = '';
    etice1: string = '';
    etice2: string = '';
    etice3: string = '';
    etice4: string = '';
    etice5: string = '';
    etice6: string = '';
    etice7: string = '';
    etice8: string = '';
    etice9: string = '';
    etice10: string = '';
    etice11: Array<string> = [''];
    etice12: string = '';
    etice13: string = '';
    etice14: string = '';
    etice15: string = '';
    etice16: string = '';
    etice17: string = '';
    etice18: string = '';
    etice19: string = '';
    etice20: string = '';
    etice21: string = '';
    etice22: string = '';
    etice23: string = '';
    etice24: string = '';
    etice25: string = '';
    etice26: string = '';
    etice27: string = '';
    etice28: string = '';
    etice29: string = '';
    etice30: string = '';
    etice31: string = '';
    etice32: string = '';
    etice33: string = '';
    etice34: string = '';
    etice35: string = '';
    etice36: string = '';
    etice37: string = '';
    etice38: string = '';
    etice39: string = '';
    etice40: string = '';
    etice41: string = '';
    etice42: string = '';
    etice43: string = '';
    etice44: string = '';
    etice45: string = '';
    etice46: string = '';
    etice47: string = '';
    etice48: string = '';
    etice49: string = '';
    etice50: string = '1';
    tmanual: boolean = false;
    lmensajes: boolean = false;
    lnotas: boolean = false;
    lcargos: boolean = false;
    lreqesp: boolean = false;
    ladicional: boolean = false;
    lcomparte: boolean = false;
    lviajando: boolean = false;
    ldistancia: boolean = false;
    ltv: boolean = false;
    linternet: boolean = false;
    lallot: boolean = false;
    dttotal: number = 0;
    cmoneda: string = '';
    ddepositos: number = 0;
    dtdepositos: number = 0;
    dtarifadia: number = 0;
    ttm1: number = 0;
    ttm2: number = 0;
    ttm3: number = 0;
    ttm4: number = 0;
    ttm5: number = 0;
    ttm6: number = 0;
    ttm7: number = 0;
    ttm8: number = 0;
    ttm9: number = 0;
    ttm10: number = 0;
    ttm11: number = 0;
    Contrato: string = '';
    cUUID1: string = '';
    cUUID2: string = '';
    cUUID3: string = '';
    cUUID4: string = '';
    cUUID5: string = '';
    cUUID6: string = '';
    iModID: number = 0;
    hSecuencia: number = 0;
    cHc: string = '';
    cReg: string = '';
    cRowID: string = '';
    lError: boolean = false;
    cErrDes: string = '';
}